Mailinglist Archive: opensuse (4547 mails)

< Previous Next >
SuSE 9.1: Upgrading packages using apt made them unrunable
  • From: Frederic Soulier <frederic@xxxxxxxxxxxxxxxxxxx>
  • Date: Sat, 29 May 2004 17:03:45 +0100
  • Message-id: <200405291703.45090.frederic@xxxxxxxxxxxxxxxxxxx>
Hi

I've been upgrading some packages like epiphany (epiphany-1.2.2-5) &
gnumeric (gnumeric-1.2.12-3) using apt and now they don't work
anymore!

frederic@wallaby:~> epiphany
/opt/gnome/bin/epiphany-bin: error while loading shared
libraries: /opt/gnome/bin/epiphany-bin: undefined symbol:
g_signal_accumulator_true_handled

frederic@wallaby:~> gnumeric
gnumeric: error while loading shared libraries: gnumeric: undefined
symbol: gdk_threads_lock

So it seems (most likely) that some other packages should have been
upgraded as well (yes, no?)
If yes why apt did not resolve the depencies properly? (maybe these
packages are not packaged properly).

Or I don't know what I'm doing ;) which is very plausible explanation!


in my /etc/apt/sources.list
===========================
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.1-i386
funktronics gnome kde kde3-stable kernel-of-the-day mozilla packman
packman-i686 security security-prpm suse-people suse-projects
suser-gbv suser-rbos suser-scorot suser-tcousin update update-prpm
wine xfree86 xorg

rpm-src ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.1-i386
funktronics gnome kde kde3-stable kernel-of-the-day mozilla packman
packman-i686 security security-prpm suse-people suse-projects
suser-gbv suser-rbos suser-scorot suser-tcousin update update-prpm
wine xfree86 xorg


--
____________________________________________________________________
Frederic P. Soulier frederic@xxxxxxxxxxxxxxxxxxx
OpenPGP key available on http://www.keyserver.net
1024D/BA6700ED 49A6 8E8E 4230 8D41 1ADE B649 3203 1DD2 BA67 00ED
_____________________________________________________________________

< Previous Next >